=== debian/changelog ===
ros-indigo-saphari-msgs (0.0.5-3trusty) trusty; urgency=high



 -- jworch <jworch@todo.todo>  Thu, 23 Apr 2015 22:00:00 -0000

ros-indigo-saphari-msgs (0.0.4-3trusty) trusty; urgency=high

  * Added userId to saphariHuman msg
  * Contributors: Jan-Hendrik Worch

 -- jworch <jworch@todo.todo>  Wed, 18 Mar 2015 23:00:00 -0000

ros-indigo-saphari-msgs (0.0.3-3trusty) trusty; urgency=high

  * added constants
  * added a message that contains a list equipment messages.
    service will now return that new message instead of a list of equipment messages.
  * Contributors: Thiemo Wiedemeyer

 -- jworch <jworch@todo.todo>  Mon, 13 Oct 2014 22:00:00 -0000

ros-indigo-saphari-msgs (0.0.1-3trusty) trusty; urgency=high

  * Added package descriptions and fixed licenses where applicable
  * Saphari message update
  * equipment recognition service
  * Added further information to saphari msg
  * Improved saphari_msgs (thanks to Georg)
  * Added messages for the communication between georgs controller and rs people detection for the saphari demo
  * Contributors: Ferenc Balint-Benczedi, Jan Winkler, Jan-Hendrik Worch

 -- jworch <jworch@todo.todo>  Thu, 15 May 2014 22:00:00 -0000
