=== debian/control ===
Source: ros-indigo-saphari-msgs
Section: misc
Priority: extra
Maintainer: jworch <jworch@todo.todo>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-sensor-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-saphari-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-sensor-msgs
Description: Message definitions for manipulation and perception related tasks within the SAPHARI project
